<?php

if (SF_APP == 'backend') {
    stPluginHelper::addEnableModule('appPointPackBackend', 'backend');
    stPluginHelper::addRouting('appPointPackPluginDefault', '/pointpack', 'appPointPackBackend', 'index', 'backend');
    stPluginHelper::addRouting('appPointPackPlugin', '/pointpack/:action/*', 'appPointPackBackend', 'index', 'backend');
    stPluginHelper::addRouting('appPointPackGetPriceJson', '/pointpack/getPriceJson/:name', 'appPointPackBackend', 'getPriceJson', 'backend');
    
    stConfiguration::addModule('appPointPackPlugin', 'group_2', 1);

    $dispatcher->connect('stAdminGenerator.generateStDeliveryBackend', array('appPointPackListener', 'generateStDelivery'));
    $dispatcher->connect('autoStDeliveryBackendActions.postUpdateFromRequest', array('appPointPackListener', 'postUpdateDeliveryFromRequest'));
} elseif (SF_APP == 'frontend') {
    stPluginHelper::addEnableModule('appPointPackFrontend', 'frontend');
    stPluginHelper::addRouting('appPointPackPluginDefault', '/pointpack', 'appPointPackFrontend', 'index', 'frontend');
    stPluginHelper::addRouting('appPointPackPlugin', '/pointpack/:action/*', 'appPointPackFrontend', 'index', 'frontend');
    stPluginHelper::addRouting('appPointPackGetPoint', '/pointpack/getPoint/:number', 'appPointPackFrontend', 'getPoint', 'frontend');
    stPluginHelper::addRouting('appPointPackShowMap', '/pointpack/showMap/:deliveryId', 'appPointPackFrontend', 'showMap', 'frontend');
    
    stSocketView::addComponent('under_basket_socket','appPointPackFrontend', 'basketTerms');
    stSocketView::addComponent('stOrderSummaryAfterAmount','appPointPackFrontend', 'orderSummary');
    stSocketView::addComponent('stOrderConfirmAdditionalCosts','appPointPackFrontend', 'orderConfirm');
    stSocketView::addComponent('stOrderMailToUserAdditionalCosts','appPointPackFrontend', 'orderMailToUser');
    
    stSocketView::addComponent('stBasketAboveUserForm','appPointPackFrontend', 'selectPointsButton');
    stSocketView::addComponent('stDeliveryElementOnBasketList','appPointPackFrontend', 'deliveryOnBasketList');
    
    $dispatcher->connect('stOrderActions.postExecuteSave', array('appPointPackListener', 'postExecuteOrderSave', true));
    $dispatcher->connect('stOrderActions.preExecuteSave', array('appPointPackListener', 'preExecuteOrderSave', true));
    $dispatcher->connect('stOrderActions.postExecuteConfirm', array('appPointPackListener', 'postOrderConfirm'));
}
