<?php use_helper('I18N', 'stAdminGenerator', 'Validation');?>
<?php echo st_get_admin_head('appPointPackPlugin', __('Lista punktów dostawy'), '', array('stConfigurationPlugin'));?>
    <div id="sf_admin_content">
        <?php echo st_get_component('stAdminGenerator', 'menu', array('items' => $menuItems));?>
        <?php st_include_partial('stAdminGenerator/message', array('labels' => array()));?>
        <div id="sf_admin_content">
            <?php echo form_tag('pointpack/getPoints', array('id' => 'sf_admin_config_form', 'name' => 'sf_admin_config_form'));?>
                <?php echo input_hidden_tag('get', 1);?>
                <fieldset>
                    <div class="st_header">
                        <div>
                            <h2><?php echo __('Informacje o pobranych punktach dostawy');?></h2>
                        </div>
                    </div>
                    <div class="st_fieldset-content">
                        <div class="form-row">
                            <?php echo label_for('', __('Data ostatniego pobrania listy').':');?>
                            <div>
                                <?php echo $pointsDate;?>
                            </div>
                            <br class="st_clear_all" />
                        </div>
                        <div class="form-row">
                            <?php echo label_for('', __('Ilość pobranych punktów dostawy').':');?>
                            <div>
                                <?php echo $pointsCount;?>
                            </div>
                            <br class="st_clear_all" />
                        </div>
                    </div>
                </fieldset>
                <?php echo st_get_admin_actions_head('style="margin-top: 10px; float: right"');?>
                    <?php echo st_get_admin_action('download_theme', __('Pobierz liste punktów dostawy'));?>
                <?php echo st_get_admin_actions_foot();?>
            </form>
        </div>
    </div>
    <br class="st_clear_all" />
<?php echo st_get_admin_foot();?>
