<script type="text/javascript" language="javascript">
    function selectPoint(number) {
        jQuery(function ($) {
            if ($('#pointpack_overlay').data('overlay')) 
                $('#pointpack_overlay').data('overlay').close();

            var messages = ['<?php echo __('Wybierz punkt dostawy PointPack.pl');?>', 
                            '<?php echo __('Zmień punkt dostawy PointPack.pl');?>', 
                            '<?php echo __('Dostawa PointPack.pl');?>', 
                            '<?php echo __('Dodatkowy koszt przy odbiorze');?>',
                            '<?php echo __('Proszę wybrać punkt dostawy PointPack.pl.');?>',
                            '<?php echo __('Proszę zaznaczyć pole o zapoznaniu z regulaminem usługi dostawy za pośrednictwem PointPack.pl S.A..');?>',];

            $.pointpackSelectPoint(number, messages);
        });
    };

    jQuery(function ($) {
        $(document).ready(function () {
            $.getJSON('/pointpack/getPoints/pointsNamespace/<?php echo $pointsNamespace;?>', function(data) { 
                $('#map_canvas').gmap({'center': "52,20"}).bind('init', function(ev, map) {
                    $('#map_canvas').gmap('option', 'zoom', 6);

                    $.each(data, function(i, marker) {
                        $('#map_canvas').gmap('addMarker', { 
                            'position': new google.maps.LatLng(marker.latitude, marker.longitude), 
                            'icon': '/images/frontend/theme/default2/appPointPackPlugin/marker.png',
                            'bounds': true 
                        }).click(function() {
                            var content =   "<div id=\"app_pointpack_map_point\">" +
                                            "   <p id=\"app_pointpack_map_point_name\">" + marker.name + "</p>" +
                                            "   <p id=\"app_pointpack_map_point_number\">(<?php echo __('Nr punktu');?>: " + marker.number + ")</p>" +
                                            "   <div id=\"app_pointpack_map_point_address\">" +
                                            "   " + marker.fullAddress + "<br />" +
                                            "   " + marker.postCodeCity +
                                            "   </div>" +
                                            "   <div id=\"app_pointpack_map_point_open_time\">" +
                                            "       <p id=\"app_pointpack_map_point_open_time_header\"><?php echo __('Godziny otwarcia');?>:</p>" +
                                            "       <div><span><?php echo __('Poniedziałek - Piątek');?>:</span>" + marker.open.WORKDAY+ "</div>" +
                                            "       <div><span><?php echo __('Sobota');?>:</span>" + marker.open.SATURDAY + "</div>" +
                                            "       <div><span><?php echo __('Niedziela i święta');?>:</span>" + marker.open.SUNDAY_AND_HOLIDAYS + "</div>" +
                                            "   </div>" +
                                            "   <div id=\"app_pointpack_map_point_button\" class=\"buttons\">" +
                                            "       <a href=\"#st_basket-delivery\" onClick=\"selectPoint('" + marker.number + "');\" class=\"buttons\"><?php echo __('Wybierz punkt');?></a>" +
                                            "   </div>" +
                                            "</div>";
                            $('#map_canvas').gmap('openInfoWindow', { 'content': content }, this);
                        });
                    });
                    <?php if($config->get('map_group_points')):?>
                        $('#map_canvas').gmap('set', 'MarkerClusterer', new MarkerClusterer(map, $(this).gmap('get', 'markers')));
                    <?php endif;?>
                });
            });
        });
    });
</script>
<div id="map_canvas" style="height: 100%; width: 100%;"/>
